// Mocks generated by Mockito 5.4.2 from annotations
// in neoroo/test/add_baby_test/add_baby_test.dart.
// Do not manually edit this file.

// ignore_for_file: no_leading_underscores_for_library_prefixes
import 'dart:async' as _i10;

import 'package:dartz/dartz.dart' as _i5;
import 'package:flutter/cupertino.dart' as _i4;
import 'package:image_picker/image_picker.dart' as _i12;
import 'package:mockito/mockito.dart' as _i1;
import 'package:neoroo/exceptions/custom_exception.dart' as _i11;
import 'package:neoroo/models/baby_details_caregiver.dart' as _i16;
import 'package:neoroo/models/baby_details_family_member.dart' as _i15;
import 'package:neoroo/models/infant_model.dart' as _i14;
import 'package:neoroo/models/infant_mother.dart' as _i13;
import 'package:neoroo/models/profile.dart' as _i7;
import 'package:neoroo/models/tracked_attributes.dart' as _i6;
import 'package:neoroo/network/add_update_baby_client.dart' as _i3;
import 'package:neoroo/network/fetch_from_eceb.dart' as _i8;
import 'package:neoroo/repository/add_update_baby_repository.dart' as _i9;
import 'package:neoroo/repository/eceb_to_neoroo_repository.dart' as _i17;
import 'package:neoroo/repository/hive_storage_repository.dart' as _i2;

// ignore_for_file: type=lint
// ignore_for_file: avoid_redundant_argument_values
// ignore_for_file: avoid_setters_without_getters
// ignore_for_file: comment_references
// ignore_for_file: implementation_imports
// ignore_for_file: invalid_use_of_visible_for_testing_member
// ignore_for_file: prefer_const_constructors
// ignore_for_file: unnecessary_parenthesis
// ignore_for_file: camel_case_types
// ignore_for_file: subtype_of_sealed_class

class _FakeHiveStorageRepository_0 extends _i1.SmartFake
    implements _i2.HiveStorageRepository {
  _FakeHiveStorageRepository_0(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeBabyAddUpdateClient_1 extends _i1.SmartFake
    implements _i3.BabyAddUpdateClient {
  _FakeBabyAddUpdateClient_1(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeBuildContext_2 extends _i1.SmartFake implements _i4.BuildContext {
  _FakeBuildContext_2(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeEither_3<L, R> extends _i1.SmartFake implements _i5.Either<L, R> {
  _FakeEither_3(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeTrackedAttributes_4 extends _i1.SmartFake
    implements _i6.TrackedAttributes {
  _FakeTrackedAttributes_4(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeProfile_5 extends _i1.SmartFake implements _i7.Profile {
  _FakeProfile_5(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeFetchBabyFromECEBClient_6 extends _i1.SmartFake
    implements _i8.FetchBabyFromECEBClient {
  _FakeFetchBabyFromECEBClient_6(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

/// A class which mocks [AddUpdateBabyRepository].
///
/// See the documentation for Mockito's code generation for more information.
class MockAddUpdateBabyRepository extends _i1.Mock
    implements _i9.AddUpdateBabyRepository {
  MockAddUpdateBabyRepository() {
    _i1.throwOnMissingStub(this);
  }

  @override
  _i2.HiveStorageRepository get hiveStorageRepository => (super.noSuchMethod(
        Invocation.getter(#hiveStorageRepository),
        returnValue: _FakeHiveStorageRepository_0(
          this,
          Invocation.getter(#hiveStorageRepository),
        ),
      ) as _i2.HiveStorageRepository);
  @override
  _i3.BabyAddUpdateClient get babyAddUpdateClient => (super.noSuchMethod(
        Invocation.getter(#babyAddUpdateClient),
        returnValue: _FakeBabyAddUpdateClient_1(
          this,
          Invocation.getter(#babyAddUpdateClient),
        ),
      ) as _i3.BabyAddUpdateClient);
  @override
  _i4.BuildContext get context => (super.noSuchMethod(
        Invocation.getter(#context),
        returnValue: _FakeBuildContext_2(
          this,
          Invocation.getter(#context),
        ),
      ) as _i4.BuildContext);
  @override
  _i10.Future<_i5.Either<bool, _i11.CustomException>> addBaby(
    String? birthDate,
    String? birthNotes,
    String? birthTime,
    String? birthWeight,
    String? bodyLength,
    String? cribNumber,
    String? headCircumference,
    String? needResudcitation,
    String? wardNumber,
    String? presentWeight,
    String? motherName,
    String? motherId,
    String? stsTime,
    String? nstsTime,
    String? infantTemperature,
    String? infantHeartRate,
    String? infantRespiratoryRate,
    String? infantBloodOxygen,
    String? infantId,
    _i12.XFile? avatarFile,
    String? username,
    String? password,
    String? serverURL,
    String? organisationUnitID,
  ) =>
      (super.noSuchMethod(
        Invocation.method(
          #addBaby,
          [
            birthDate,
            birthNotes,
            birthTime,
            birthWeight,
            bodyLength,
            cribNumber,
            headCircumference,
            needResudcitation,
            wardNumber,
            presentWeight,
            motherName,
            motherId,
            stsTime,
            nstsTime,
            infantTemperature,
            infantHeartRate,
            infantRespiratoryRate,
            infantBloodOxygen,
            infantId,
            avatarFile,
            username,
            password,
            serverURL,
            organisationUnitID,
          ],
        ),
        returnValue: _i10.Future<_i5.Either<bool, _i11.CustomException>>.value(
            _FakeEither_3<bool, _i11.CustomException>(
          this,
          Invocation.method(
            #addBaby,
            [
              birthDate,
              birthNotes,
              birthTime,
              birthWeight,
              bodyLength,
              cribNumber,
              headCircumference,
              needResudcitation,
              wardNumber,
              presentWeight,
              motherName,
              motherId,
              stsTime,
              nstsTime,
              infantTemperature,
              infantHeartRate,
              infantRespiratoryRate,
              infantBloodOxygen,
              infantId,
              avatarFile,
              username,
              password,
              serverURL,
              organisationUnitID,
            ],
          ),
        )),
      ) as _i10.Future<_i5.Either<bool, _i11.CustomException>>);
  @override
  _i10.Future<_i5.Either<List<_i13.Mother>, _i11.CustomException>>
      getMother() => (super.noSuchMethod(
            Invocation.method(
              #getMother,
              [],
            ),
            returnValue: _i10.Future<
                    _i5.Either<List<_i13.Mother>, _i11.CustomException>>.value(
                _FakeEither_3<List<_i13.Mother>, _i11.CustomException>(
              this,
              Invocation.method(
                #getMother,
                [],
              ),
            )),
          ) as _i10
              .Future<_i5.Either<List<_i13.Mother>, _i11.CustomException>>);
  @override
  _i10.Future<_i5.Either<bool, _i11.CustomException>> updateBaby(
          _i14.Infant? infant) =>
      (super.noSuchMethod(
        Invocation.method(
          #updateBaby,
          [infant],
        ),
        returnValue: _i10.Future<_i5.Either<bool, _i11.CustomException>>.value(
            _FakeEither_3<bool, _i11.CustomException>(
          this,
          Invocation.method(
            #updateBaby,
            [infant],
          ),
        )),
      ) as _i10.Future<_i5.Either<bool, _i11.CustomException>>);
  @override
  _i10.Future<Map<String, String>> trackedAttributesAndUID() =>
      (super.noSuchMethod(
        Invocation.method(
          #trackedAttributesAndUID,
          [],
        ),
        returnValue: _i10.Future<Map<String, String>>.value(<String, String>{}),
      ) as _i10.Future<Map<String, String>>);
}

/// A class which mocks [HiveStorageRepository].
///
/// See the documentation for Mockito's code generation for more information.
class MockHiveStorageRepository extends _i1.Mock
    implements _i2.HiveStorageRepository {
  MockHiveStorageRepository() {
    _i1.throwOnMissingStub(this);
  }

  @override
  _i10.Future<void> saveTrackedAttribute(
          _i6.TrackedAttributes? trackedAttribute) =>
      (super.noSuchMethod(
        Invocation.method(
          #saveTrackedAttribute,
          [trackedAttribute],
        ),
        returnValue: _i10.Future<void>.value(),
        returnValueForMissingStub: _i10.Future<void>.value(),
      ) as _i10.Future<void>);
  @override
  _i10.Future<_i6.TrackedAttributes> getTarckedAttribute(
          String? trackedAttributeShortName) =>
      (super.noSuchMethod(
        Invocation.method(
          #getTarckedAttribute,
          [trackedAttributeShortName],
        ),
        returnValue:
            _i10.Future<_i6.TrackedAttributes>.value(_FakeTrackedAttributes_4(
          this,
          Invocation.method(
            #getTarckedAttribute,
            [trackedAttributeShortName],
          ),
        )),
      ) as _i10.Future<_i6.TrackedAttributes>);
  @override
  _i10.Future<void> saveUserProfile(_i7.Profile? profile) =>
      (super.noSuchMethod(
        Invocation.method(
          #saveUserProfile,
          [profile],
        ),
        returnValue: _i10.Future<void>.value(),
        returnValueForMissingStub: _i10.Future<void>.value(),
      ) as _i10.Future<void>);
  @override
  _i10.Future<_i7.Profile> getUserProfile() => (super.noSuchMethod(
        Invocation.method(
          #getUserProfile,
          [],
        ),
        returnValue: _i10.Future<_i7.Profile>.value(_FakeProfile_5(
          this,
          Invocation.method(
            #getUserProfile,
            [],
          ),
        )),
      ) as _i10.Future<_i7.Profile>);
  @override
  _i10.Future<void> saveOrganisationURL(String? url) => (super.noSuchMethod(
        Invocation.method(
          #saveOrganisationURL,
          [url],
        ),
        returnValue: _i10.Future<void>.value(),
        returnValueForMissingStub: _i10.Future<void>.value(),
      ) as _i10.Future<void>);
  @override
  _i10.Future<String> getOrganisationURL() => (super.noSuchMethod(
        Invocation.method(
          #getOrganisationURL,
          [],
        ),
        returnValue: _i10.Future<String>.value(''),
      ) as _i10.Future<String>);
  @override
  _i10.Future<String?> getSelectedOrgName() => (super.noSuchMethod(
        Invocation.method(
          #getSelectedOrgName,
          [],
        ),
        returnValue: _i10.Future<String?>.value(),
      ) as _i10.Future<String?>);
  @override
  _i10.Future<void> saveCredentials(
    String? username,
    String? password,
    String? serverURL,
    String? avatarId,
    String? name,
  ) =>
      (super.noSuchMethod(
        Invocation.method(
          #saveCredentials,
          [
            username,
            password,
            serverURL,
            avatarId,
            name,
          ],
        ),
        returnValue: _i10.Future<void>.value(),
        returnValueForMissingStub: _i10.Future<void>.value(),
      ) as _i10.Future<void>);
  @override
  _i10.Future<Map<String, List<String>>> getSavedCredentials() =>
      (super.noSuchMethod(
        Invocation.method(
          #getSavedCredentials,
          [],
        ),
        returnValue: _i10.Future<Map<String, List<String>>>.value(
            <String, List<String>>{}),
      ) as _i10.Future<Map<String, List<String>>>);
  @override
  _i10.Future<void> saveOrganisations(List<String>? organisationList) =>
      (super.noSuchMethod(
        Invocation.method(
          #saveOrganisations,
          [organisationList],
        ),
        returnValue: _i10.Future<void>.value(),
        returnValueForMissingStub: _i10.Future<void>.value(),
      ) as _i10.Future<void>);
  @override
  _i10.Future<List<String>> getSavedOrganisations() => (super.noSuchMethod(
        Invocation.method(
          #getSavedOrganisations,
          [],
        ),
        returnValue: _i10.Future<List<String>>.value(<String>[]),
      ) as _i10.Future<List<String>>);
  @override
  _i10.Future<String> getSelectedOrganisation() => (super.noSuchMethod(
        Invocation.method(
          #getSelectedOrganisation,
          [],
        ),
        returnValue: _i10.Future<String>.value(''),
      ) as _i10.Future<String>);
  @override
  _i10.Future<void> setIsCareGiver(bool? isCareGiver) => (super.noSuchMethod(
        Invocation.method(
          #setIsCareGiver,
          [isCareGiver],
        ),
        returnValue: _i10.Future<void>.value(),
        returnValueForMissingStub: _i10.Future<void>.value(),
      ) as _i10.Future<void>);
  @override
  _i10.Future<bool> getIsCareGiver() => (super.noSuchMethod(
        Invocation.method(
          #getIsCareGiver,
          [],
        ),
        returnValue: _i10.Future<bool>.value(false),
      ) as _i10.Future<bool>);
  @override
  _i10.Future<void> setUserGroups(List<String>? userGroups) =>
      (super.noSuchMethod(
        Invocation.method(
          #setUserGroups,
          [userGroups],
        ),
        returnValue: _i10.Future<void>.value(),
        returnValueForMissingStub: _i10.Future<void>.value(),
      ) as _i10.Future<void>);
  @override
  _i10.Future<List<String>> getUserGroups() => (super.noSuchMethod(
        Invocation.method(
          #getUserGroups,
          [],
        ),
        returnValue: _i10.Future<List<String>>.value(<String>[]),
      ) as _i10.Future<List<String>>);
  @override
  _i10.Future<void> logOutUser() => (super.noSuchMethod(
        Invocation.method(
          #logOutUser,
          [],
        ),
        returnValue: _i10.Future<void>.value(),
        returnValueForMissingStub: _i10.Future<void>.value(),
      ) as _i10.Future<void>);
  @override
  _i10.Future<void> saveSelectedOrganisation(
    String? id,
    String? name,
  ) =>
      (super.noSuchMethod(
        Invocation.method(
          #saveSelectedOrganisation,
          [
            id,
            name,
          ],
        ),
        returnValue: _i10.Future<void>.value(),
        returnValueForMissingStub: _i10.Future<void>.value(),
      ) as _i10.Future<void>);
  @override
  _i10.Future<void> storeBabyFamilyMember(
          _i15.BabyDetailsFamilyMember? babyDetailsFamilyMember) =>
      (super.noSuchMethod(
        Invocation.method(
          #storeBabyFamilyMember,
          [babyDetailsFamilyMember],
        ),
        returnValue: _i10.Future<void>.value(),
        returnValueForMissingStub: _i10.Future<void>.value(),
      ) as _i10.Future<void>);
  @override
  _i10.Future<_i15.BabyDetailsFamilyMember?> getBabyDetailsFamilyMember() =>
      (super.noSuchMethod(
        Invocation.method(
          #getBabyDetailsFamilyMember,
          [],
        ),
        returnValue: _i10.Future<_i15.BabyDetailsFamilyMember?>.value(),
      ) as _i10.Future<_i15.BabyDetailsFamilyMember?>);
  @override
  _i10.Future<List<_i16.BabyDetailsCaregiver>?> getBabyDetailsCaregiver() =>
      (super.noSuchMethod(
        Invocation.method(
          #getBabyDetailsCaregiver,
          [],
        ),
        returnValue: _i10.Future<List<_i16.BabyDetailsCaregiver>?>.value(),
      ) as _i10.Future<List<_i16.BabyDetailsCaregiver>?>);
  @override
  _i10.Future<void> saveBabyDetailsCaregiver(
          List<_i16.BabyDetailsCaregiver>? listOfBabies) =>
      (super.noSuchMethod(
        Invocation.method(
          #saveBabyDetailsCaregiver,
          [listOfBabies],
        ),
        returnValue: _i10.Future<void>.value(),
        returnValueForMissingStub: _i10.Future<void>.value(),
      ) as _i10.Future<void>);
  @override
  _i10.Future<void> addBaby(_i16.BabyDetailsCaregiver? babyDetailsCaregiver) =>
      (super.noSuchMethod(
        Invocation.method(
          #addBaby,
          [babyDetailsCaregiver],
        ),
        returnValue: _i10.Future<void>.value(),
        returnValueForMissingStub: _i10.Future<void>.value(),
      ) as _i10.Future<void>);
  @override
  _i10.Future<void> updateBaby(
    String? birthDate,
    String? birthTime,
    String? motherName,
    double? birthWeight,
    double? bodyLength,
    double? headCircumference,
    String? familyMemberGroup,
    String? caregiverGroup,
    String? birthDescription,
    int? index,
  ) =>
      (super.noSuchMethod(
        Invocation.method(
          #updateBaby,
          [
            birthDate,
            birthTime,
            motherName,
            birthWeight,
            bodyLength,
            headCircumference,
            familyMemberGroup,
            caregiverGroup,
            birthDescription,
            index,
          ],
        ),
        returnValue: _i10.Future<void>.value(),
        returnValueForMissingStub: _i10.Future<void>.value(),
      ) as _i10.Future<void>);
}

/// A class which mocks [ECEBtoNeoRooRepository].
///
/// See the documentation for Mockito's code generation for more information.
class MockECEBtoNeoRooRepository extends _i1.Mock
    implements _i17.ECEBtoNeoRooRepository {
  MockECEBtoNeoRooRepository() {
    _i1.throwOnMissingStub(this);
  }

  @override
  _i2.HiveStorageRepository get hiveStorageRepository => (super.noSuchMethod(
        Invocation.getter(#hiveStorageRepository),
        returnValue: _FakeHiveStorageRepository_0(
          this,
          Invocation.getter(#hiveStorageRepository),
        ),
      ) as _i2.HiveStorageRepository);
  @override
  _i8.FetchBabyFromECEBClient get fetchBabyFromECEBClient =>
      (super.noSuchMethod(
        Invocation.getter(#fetchBabyFromECEBClient),
        returnValue: _FakeFetchBabyFromECEBClient_6(
          this,
          Invocation.getter(#fetchBabyFromECEBClient),
        ),
      ) as _i8.FetchBabyFromECEBClient);
  @override
  _i4.BuildContext get context => (super.noSuchMethod(
        Invocation.getter(#context),
        returnValue: _FakeBuildContext_2(
          this,
          Invocation.getter(#context),
        ),
      ) as _i4.BuildContext);
  @override
  _i10.Future<_i5.Either<List<_i14.Infant>, _i11.CustomException>>
      fetchBabyFromECEB() => (super.noSuchMethod(
            Invocation.method(
              #fetchBabyFromECEB,
              [],
            ),
            returnValue: _i10.Future<
                    _i5.Either<List<_i14.Infant>, _i11.CustomException>>.value(
                _FakeEither_3<List<_i14.Infant>, _i11.CustomException>(
              this,
              Invocation.method(
                #fetchBabyFromECEB,
                [],
              ),
            )),
          ) as _i10
              .Future<_i5.Either<List<_i14.Infant>, _i11.CustomException>>);
}
